all: benchmark statistics

benchmark: docker/container.ok
	docker container run --rm -it -v `(pwd)`:/benchmark/data convganbenchmark python3 /benchmark/data/run_all_exercises.py
	docker container run --rm -it -v `(pwd)`:/benchmark/data convganbenchmark chown -R `(./getMyUid) /benchmark/data/data_results


statistics: docker/container.ok
	docker container run --rm -it -v `(pwd)`:/benchmark/data convganbenchmark python3 /benchmark/data/statistics.py
	docker container run --rm -it -v `(pwd)`:/benchmark/data convganbenchmark chown -R `(./getMyUid)` /benchmark/data/data_result

docker/container.ok: docker/Dockerfile docker/run.sh docker/requirements.txt
	docker build -t convganbenchmark docker/.
	date > $@

